Subject: [bug#32346] [PATCH 6/6] services: tor: Make it easier to use UNIX sockets.

From: [email-masked] (Ludovic Courtès)
Date: Mon, 20 Aug 2018 22:09:27 +0200

Chris Marusich <[email-masked]> skribis:

> * doc/guix.texi (Networking Services): Document it, and mention that
> tor-service is deprecated.
> * gnu/services/networking.scm (<tor-configuration>) <socks-socket-type>:
> New field.
> (tor-configuration->torrc): When socks-socket-type is 'unix, set
> SocksPort to UNIX domain socket /var/run/tor/socks-sock and set
> UnixSocksGroupWritable to 1.
> * gnu/tests/networking.scm (%tor-os/unix-socks-socket): Instead of using
> a custom config file, just set socks-socket-type to 'unix.

[...]

> +This is the type for a service that runs the @uref{https://torproject.org,
> +Tor} anonymous networking daemon.  The service is configured using a
> +@code{<tor-configuration>} record.  By default, the TOR daemon runs as the

Please s/TOR/Tor/ in this file.

> +@deftp {Data Type} tor-configuration
> +@table @asis
> +@item @code{tor} (default: @code{tor})
> +The package that provides the TOR daemon.  This package is expected to provide
> +the daemon at @file{bin/tor} relative to its output directory.  The default
> +package is the @uref{https://www.torproject.org, TOR Project's}
> +implementation.
> +@item @code{config-file} (default: @code{(plain-file "empty" "")})

You could skip a line between between each @item for clarity.

Otherwise LGTM.

Thank you for this nice patch series!

Ludo’.